JuicyPixels-3.3.9: Picture loading/serialization (in png, jpeg, bitmap, gif, tga, tiff and radiance)

Safe Haskell | None
Language | Haskell2010

Codec.Picture.Jpg.Internal.Progressive

# Documentation

data JpgUnpackerParameter #

Constructors

JpgUnpackerParameter |

Fields

- dcHuffmanTree :: !HuffmanPackedTree
- acHuffmanTree :: !HuffmanPackedTree
- componentIndex :: !Int
- restartInterval :: !Int
- componentWidth :: !Int
- componentHeight :: !Int
- subSampling :: !(Int, Int)
- coefficientRange :: !(Int, Int)
- successiveApprox :: !(Int, Int)
- readerIndex :: !Int
- indiceVector :: !Int

  When in progressive mode, we can have many color in a scan or only one. The indices changes on this fact, when mixed, there is whole MCU for all color components, spanning multiple block lines. With only one color component we use the normal raster order.

- blockIndex :: !Int
- blockMcuX :: !Int
- blockMcuY :: !Int

#### Instances

Instances details

Show JpgUnpackerParameter # |
Instance details Defined in Codec.Picture.Jpg.Internal.Common Methods showsPrec :: Int -> JpgUnpackerParameter -> ShowS # show :: JpgUnpackerParameter -> String # showList :: [JpgUnpackerParameter] -> ShowS #

progressiveUnpack :: (Int, Int) -> JpgFrameHeader -> Vector (MacroBlock Int16) -> [([(JpgUnpackerParameter, a)], ByteString)] -> ST s (MutableImage s PixelYCbCr8) #